{% extends 'base.html.twig' %}

{% block main_content %}
<div class="container">
    <div class="mt-4 row justify-content-center">
        <div class="col-12 pt-2 pb-2 rounded white">
            <h2>{{ log_title|trans }}</h2>
            {% if logs is empty %}
                <p>Il n'y a pas de logs pour le moment, crée ta liste <a href="{{ path('list_edit') }}">ici</a>.</p>
            {% endif %}
            {% for log in logs %}
                {% if log.type == constant('ADD', log) %}
                    <p>
                        <span class="green-text">{{ log.date|date("Y-m-d H:i:s") }}</span>:
                        <span class="blue-text">{{ log.gift.name }}</span>
                        {{ 'a été ajouté dans la liste'|trans }}
                        <span class="red-text">{{log.gift.giftlist.name}}</span>
                        {{ 'par'|trans }}
                        <span class="amber-text">{{ log.gift.user.username }}</span>
                    </p>
                {% else %}
                    <p>
                        <span class="green-text">{{ log.date|date("Y-m-d H:i:s") }}</span>:
                        <span class="blue-text">{{ log.gift.name }}</span>
                        {{ 'a été selectionné dans la liste'|trans }}
                        <span class="red-text">{{log.gift.giftlist.name}}</span>
                    </p>
                {% endif %}
            {% endfor %}
        </div>
    </div>
</div>
{% endblock %}
